# NetworkIDObject.h File Reference

A class you can derive from to make it easier to represent every networked object with an integer. This way you can refer to objects over the network. More...

`#include "RakNetTypes.h"`
`#include "RakMemoryOverride.h"`
`#include "Export.h"`

## Classes
class | NetworkIDObject
| Unique shared ids for each object instance. More...

## Detailed Description

A class you can derive from to make it easier to represent every networked object with an integer. This way you can refer to objects over the network.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.